<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="ISO-8859-1" indent="no"/>
	<xsl:decimal-format name="europeo" decimal-separator="," grouping-separator="." infinity="infinito" minus-sign="-" NaN="" percent="%" per-mille="m" zero-digit="0" digit="#" pattern-separator=";"/>
	<xsl:param name="paginas">4</xsl:param>
	<xsl:param name="pag">0</xsl:param>
	<xsl:param name="funcion">creacin</xsl:param>
	<xsl:template match="/">
		<xsl:text disable-output-escaping="yes">&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd"&gt;</xsl:text>
		<html lang="es">
			<head>
				<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />			
				<title>UGSurvey</title>
				<link rel="STYLESHEET" type="text/css" href="ugsurvey.css"/>
				<xsl:choose>
					<xsl:when test="normalize-space(/encuesta/datos/closed) = '*'">
						<script type="text/javascript">var activa=false;</script>
					</xsl:when>
					<xsl:otherwise>
						<script type="text/javascript">var activa=true;</script>
					</xsl:otherwise>
				</xsl:choose>
				<SCRIPT type="text/javascript" src="ugsurvey.js"/>
			</head>
			<xsl:element name="body">
				<xsl:attribute name="onload">
					<xsl:choose>
						<xsl:when test="$funcion = 'editar'">
							<xsl:text>revisaclick()</xsl:text>
						</xsl:when>
						<xsl:when test="$funcion = 'grabar'">
							<xsl:text>document.getElementById('formularioencuesta').submit()</xsl:text>
						</xsl:when>
						<xsl:when test="$funcion = 'imprimir'">
							<xsl:text>print()</xsl:text>
						</xsl:when>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="bgcolor">#ffffff</xsl:attribute>
				<xsl:if test="$funcion!='imprimir'">
					<xsl:if test="$pag != 0">
						<div class="solopantalla">
							<div align="right" class="color3">
								<xsl:text>Encuesta nmero:</xsl:text>
								<xsl:value-of select="format-number(/encuesta/datos/idsurvey,'###.###','europeo')"/>
								<xsl:text disable-output-escaping="yes">, Pgina:</xsl:text>
								<xsl:value-of select="$pag"/>
								<xsl:text>de</xsl:text>
								<xsl:value-of select="$paginas"/>
							</div>
							<table width="100%">
								<tr>
								<td>
									<img alt="logo" src="imagenes/cabecera.jpg"/>
								</td>
								
								</tr>
							</table>
						</div>
					</xsl:if>
				</xsl:if>
				<xsl:if test="$pag=0">		
					<table BORDER="0" width="100%">
						<tr>
							<td width="100%">
								<span align="right" class="color3">
									<b>
										<xsl:value-of select="format-number(/encuesta/datos/idsurvey,'###.###','europeo')"/>
									</b>
								</span>
								<FONT class="color4">
									<xsl:value-of select="/encuesta/datos/name"/>
								</FONT>
							</td>
						</tr>
					</table>
					<table BORDER="0" style="WIDTH:900px;">
						<tr>
							<td COLSPAN="2">
								<div id="cuadro1">
									<center>
										<table cellpadding="2" cellspacing="2" BORDER="0" bgcolor="#DCDADA">
											<tr>
												<td align="center">
													<img src="ugsurveygrande.gif" />
												</td>
											</tr>
										</table>
									</center>
								</div>
							</td>
						</tr>
						
					</table>
								
					<br class="saltopag"/>
					<table style="width: 100%; border: none;" cellspacing="0"  cellpadding="0">
						<tr style="height: 1px">
							<td/>
						</tr>
					</table>
				</xsl:if>
				<div class="cabecerapagina">
						<table style="width: 100%">
							<tr>
							<td>
								<img alt="logo" src="imagenes/cabecera.jpg"/>
							</td>
							</tr>
						</table>
				</div>
				<form id="formularioencuesta" name="formularioencuesta" action="ugsurvey.php" method="post">
					<input type="hidden" id="idsurvey" alt="NUM. Encuesta" name="idsurvey" value="{/encuesta/datos/idsurvey}"/>
					<input type="hidden" id="closed" alt="Encuesta cerrada" name="closed" value="{/encuesta/datos/closed}"/>
					<xsl:if test="$pag=0">
						<xsl:for-each select="/encuesta/pagina[1]/bloque[1]//datotexto">
							<input type="hidden" id="{@campo}" alt="{@campo}" name="{@campo}" value="{normalize-space(/encuesta/datos/*[name() = current()/@campo])}"/>
						</xsl:for-each>
					</xsl:if>
						<xsl:element name="input">
							<xsl:attribute name="type">hidden</xsl:attribute>
							<xsl:attribute name="name">_PAGINA</xsl:attribute>
							<xsl:attribute name="alt">_PAGINA</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="$pag"/>
							</xsl:attribute>
						</xsl:element>
						<xsl:element name="input">
							<xsl:attribute name="type">hidden</xsl:attribute>
							<xsl:attribute name="name">_REQPAG</xsl:attribute>
							<xsl:attribute name="alt">_REQPAG</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="$pag"/>
							</xsl:attribute>
						</xsl:element>
					<xsl:choose>
						<xsl:when test="$funcion='grabar'">
							<xsl:choose>
								<xsl:when test="$pag=0">
									<xsl:apply-templates select="//encuesta/*"/>
									<xsl:call-template name="saltopagina">
										<xsl:with-param name="pagina">
											<xsl:value-of select="$paginas"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:apply-templates select="//pagina[@numero=$pag]/*"/>
									<xsl:call-template name="saltopagina">
										<xsl:with-param name="pagina">
											<xsl:value-of select="$pag"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="$funcion='imprimir'">
							<xsl:choose>
								<xsl:when test="$pag=0">
									<xsl:apply-templates select="//encuesta/*"/>
									<xsl:call-template name="saltopagina">
										<xsl:with-param name="pagina">
											<xsl:value-of select="$paginas"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:apply-templates select="//pagina[@numero=$pag]/*"/>
									<xsl:call-template name="saltopagina">
										<xsl:with-param name="pagina">
											<xsl:value-of select="$pag"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="$funcion='editar'">
							<xsl:choose>
								<xsl:when test="normalize-space(/encuesta/datos/closed) = '*'">
									<xsl:apply-templates select="//encuesta/*"/>
									<xsl:call-template name="saltopagina">
										<xsl:with-param name="pagina">
											<xsl:value-of select="$paginas"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:apply-templates select="//pagina[@numero=$pag]/*"/>
									<xsl:call-template name="saltopagina">
										<xsl:with-param name="pagina">
											<xsl:value-of select="$pag"/>
										</xsl:with-param>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="$funcion='creacin'">
							<xsl:apply-templates select="//encuesta/*"/>
							<xsl:call-template name="saltopagina">
								<xsl:with-param name="pagina">
									<xsl:value-of select="$paginas"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
				</form>
				<xsl:if test="$funcion='editar' or $funcion='imprimir'">
					<div class="solopantalla">
						<br />
						<hr />
						<br />
						<table width="100%">
							<tr>
								<td colspan="3" style="height: 10pt;" />
							</tr>
							<tr>
								<xsl:choose>								
									<xsl:when test="/encuesta/datos/closed='*'">
										<td style="text-align:center">
											<input  type="button" onclick="location='desconectar.php'" alt="volver" name="volver" style="display:inline" value=" Desconectar " /> 
										</td>
										<td style="text-align:center">
											<input  type="button" onclick="location='/adminencuestas/enviaregalo.php?idsurvey={/encuesta/datos/idsurvey}'" alt="solicitar clave de acceso Ardn" name="AccesoArdan" style="display:inline" value=" Clave Acceso Ardn Gratuita " /> 
										</td>
										<td style="text-align:center" colspan="2">
											<input  type="button" onclick="aimprimir()" alt="imprimir" name="imprimir" style="display:inline" value="Imprimir" /> 
										</td>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test = "$pag = 0">
												<td style="text-align:center">
													<input  type="button" onclick="location='desconectar.php'" alt="volver" name="volver" style="display:inline" value=" Desconectar " /> 
												</td>
												<td style="text-align:center" colspan="2">
													<input alt="grabar"  type="button" onclick="agrabar({$pag + 1})" name="grabar" style="display:inline" value="Pg: 1&gt;&gt;" />
												</td>
											</xsl:when>
											<xsl:when test = "$pag = 1">
												<td style="text-align:center">
													<input  type="button" onclick="asalir()" alt="volver" name="volver" style="display:inline" value=" Salir " /> 
												</td>
												<td style="text-align:center">
													<input  type="button" onclick="print();agrabar({$pag})" alt="imprimir" name="imprimir" style="display:inline" value="Imprimir pg: {$pag}" /> 
												</td>
												<td style="text-align:center">
												    <input alt="grabar"  type="button" onclick="agrabar({$pag + 1})" name="grabar" style="display:inline" value="Pg: 2&gt;&gt;" /> 
												</td>
											</xsl:when>
											<xsl:when test = "$pag = $paginas">
												<td style="text-align:center">
													<input  type="button" onclick="asalir()" alt="volver" name="volver" style="display:inline" value=" Salir   " /> 
													<xsl:text>        </xsl:text>
													<input alt="grabar" type="button" onclick="agrabar({$pag - 1})" name="grabar" style="display:inline" value="&lt;&lt;Pg: {$pag - 1}" />
												</td>
												<td style="text-align:center">
													<input  type="button" onclick="print();agrabar({$pag})" alt="imprimir" name="imprimir" style="display:inline" value="Imprimir pg: {$pag}" /> 
												</td>
												<td style="text-align:center">
													<input alt="validar" type="button" onclick="acerrar()" name="validar" style="display:inline" value="enviar la encuesta" />
												</td>
											</xsl:when>
											<xsl:otherwise>
												<td style="text-align:center">
													<input  type="button" onclick="asalir()" alt="volver" name="volver" style="display:inline" value=" Salir   " /> 
													<xsl:text>        </xsl:text>
													<input alt="grabar"  type="button" onclick="agrabar({$pag - 1})" name="grabar" style="display:inline" value="&lt;&lt;Pg: {$pag - 1}" /> 
												</td>
												<td style="text-align:center">
													<input  type="button" onclick="print();agrabar({$pag})" alt="imprimir" name="imprimir" style="display:inline" value="Imprimir pg: {$pag}" /> 
												</td>
												<td style="text-align:center">
											   		<input alt="grabar"  type="button" onclick="agrabar({$pag + 1})" name="grabar" style="display:inline" value="Pg: {$pag + 1}&gt;&gt;" /> 
											   </td>
											</xsl:otherwise>
										</xsl:choose>	
									</xsl:otherwise>
								</xsl:choose>
							</tr>
						</table>				
					</div>
				</xsl:if>
			</xsl:element>			
		</html>
	</xsl:template>
	
	<xsl:template name="tdi0">
		<xsl:element name="td">
			<xsl:attribute name="style">
				<xsl:text>width: </xsl:text>
				<xsl:choose>
					<xsl:when test="@anchoinicio">
						<xsl:value-of select="@anchoinicio"/>
					</xsl:when>
					<xsl:otherwise>1px</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>		
	<xsl:template name="tdf0">
		<xsl:element name="td">
			<xsl:attribute name="style">
				<xsl:text>width: </xsl:text>
				<xsl:choose>
					<xsl:when test="@anchofinal">
						<xsl:value-of select="@anchofinal"/>
					</xsl:when>
					<xsl:otherwise>1px</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>	
	</xsl:template>		
	<xsl:template name="tdi1">
		<xsl:element name="td">
			<xsl:attribute name="style">
				<xsl:text>width: </xsl:text>
				<xsl:choose>
					<xsl:when test="./@anchoinicio">
						<xsl:value-of select="./@anchoinicio"/>
					</xsl:when>
					<xsl:otherwise>1px</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>	
	<xsl:template name="tdf1">
		<xsl:element name="td">
			<xsl:attribute name="style">
				<xsl:text>width: </xsl:text>
				<xsl:choose>
					<xsl:when test="./@anchofinal">
						<xsl:value-of select="./@anchofinal"/>
					</xsl:when>
					<xsl:otherwise>1px</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>	
	</xsl:template>	
	<xsl:template name="tdi2">
		<xsl:element name="td">
			<xsl:attribute name="style">
				<xsl:text>width: </xsl:text>
				<xsl:choose>
					<xsl:when test="../@anchoinicio">
						<xsl:value-of select="../@anchoinicio"/>
					</xsl:when>
					<xsl:otherwise>1px</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>	
	<xsl:template name="tdf2">
		<xsl:element name="td">
			<xsl:attribute name="style">
				<xsl:text>width: </xsl:text>
				<xsl:choose>
					<xsl:when test="../@anchofinal">
						<xsl:value-of select="../@anchofinal"/>
					</xsl:when>
					<xsl:otherwise>1px</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>	
	</xsl:template>	

	<xsl:template name="tri0">
		<tr>
			<xsl:element name="td">
				<xsl:attribute name="style">
					<xsl:text>height: </xsl:text>
					<xsl:choose>
						<xsl:when test="@altoinicio">
							<xsl:value-of select="@altoinicio"/>
						</xsl:when>
						<xsl:otherwise>1px</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
		</tr>
	</xsl:template>	
	<xsl:template name="trf0">
		<tr>
			<xsl:element name="td">
				<xsl:attribute name="style">
					<xsl:text>height: </xsl:text>
					<xsl:choose>
						<xsl:when test="@altofinal">
							<xsl:value-of select="@altofinal"/>
						</xsl:when>
						<xsl:otherwise>1px</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
		</tr>
	</xsl:template>	
	<xsl:template name="tri1">
		<tr>
			<xsl:element name="td">
				<xsl:attribute name="style">
					<xsl:text>height: </xsl:text>
					<xsl:choose>
						<xsl:when test="./@altoinicio">
							<xsl:value-of select="@altoinicio"/>
						</xsl:when>
						<xsl:otherwise>1px</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
		</tr>
	</xsl:template>	
	<xsl:template name="trf1">
		<tr>
			<xsl:element name="td">
				<xsl:attribute name="style">
					<xsl:text>height: </xsl:text>
					<xsl:choose>
						<xsl:when test="./@altofinal">
							<xsl:value-of select="./@altofinal"/>
						</xsl:when>
						<xsl:otherwise>1px</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
		</tr>
	</xsl:template>	
	<xsl:template name="tri2">
		<tr>
			<xsl:element name="td">
				<xsl:attribute name="style">
					<xsl:text>height: </xsl:text>
					<xsl:choose>
						<xsl:when test="../@altoinicio">
							<xsl:value-of select="../@altoinicio"/>
						</xsl:when>
						<xsl:otherwise>1px</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
		</tr>
	</xsl:template>	
	<xsl:template name="trf2">
		<tr>
			<xsl:element name="td">
				<xsl:attribute name="style">
					<xsl:text>height: </xsl:text>
					<xsl:choose>
						<xsl:when test="../@altofinal">
							<xsl:value-of select="../@altofinal"/>
						</xsl:when>
						<xsl:otherwise>1px</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
		</tr>
	</xsl:template>	


	<xsl:template name="saltopagina">
		<xsl:param name="pagina">1</xsl:param>
		<table border="0" class="piepagina" cellspacing="0"  cellpadding="0">
			<tr>
				<td align="left" style="width: 50%;">
					<em>
						<xsl:text>Encuesta: </xsl:text>
						<xsl:value-of select="format-number(/encuesta/datos/idsurvey,'###.###','europeo')"/>
						<xsl:text> </xsl:text>
					</em>
				</td>
				<td align="right" style="width: 50%; padding-left: 20pt;">
					Pgina
					<xsl:value-of select="$pagina"/>
					de
					<xsl:value-of select="$paginas"/>
				</td>
				
			</tr>
		</table>
		<xsl:if test="$funcion='imprimir' or $funcion='creacin'">
			<br class="saltopag"/>
			<span class="cabecerapagina">
				<table style="width: 100%">
					<tr>
					<td>
						<img alt="logo" src="imagenes/cabecera.jpg"/>
					</td>
					
					</tr>
				</table>
			</span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="pagina">
		<xsl:if test="@numero &gt; 1">
			<xsl:call-template name="saltopagina">
				<xsl:with-param name="pagina">
					<xsl:value-of select="@numero"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:apply-templates select="./*"/>
	</xsl:template>	

	<xsl:template name="titular">
		<xsl:variable name="nombre" select="name(.)" />
		<xsl:element name="table">
			<xsl:attribute name="cellpadding">0</xsl:attribute>
			<xsl:attribute name="cellspacing">0</xsl:attribute>
			<xsl:attribute name="style">width: 100%</xsl:attribute>
			<xsl:attribute name="class">
				<xsl:text>tablacontenedora</xsl:text>
				<xsl:if test="$nombre">
					<xsl:text>_</xsl:text>
					<xsl:value-of select="$nombre"/>
				</xsl:if>
			</xsl:attribute>
			<xsl:call-template name="tri0" />
			<tr>
				<xsl:call-template name="tdi0" />
				<xsl:element name="td">
					<xsl:attribute name="class">
						<xsl:if test="$nombre">
							<xsl:value-of select="$nombre"/>
							<xsl:text>_</xsl:text>
						</xsl:if>
						<xsl:text>titulo</xsl:text>
					</xsl:attribute>					
					<xsl:value-of select="./titulo"/>
				</xsl:element>
				<xsl:call-template name="tdf0" />
			</tr>
			<xsl:call-template name="trf0" />			
		</xsl:element>	
	</xsl:template>
	
	<xsl:template match="bloque">
		<xsl:call-template name="titular" />
	</xsl:template>
	
	<xsl:template match="capitulo">
		<xsl:call-template name="titular" />
	</xsl:template>
	
	<xsl:template match="seccion">
		<xsl:call-template name="titular" />
	</xsl:template>
	
	<xsl:template match="subseccion">
		<xsl:call-template name="titular" />
	</xsl:template>
	

	<xsl:template match="pregunta">
		<table class="tablacontenedora" style="width: 100%" cellspacing="0" cellpadding="0">
			<xsl:call-template name="tri0" />
			<xsl:apply-templates select="./*"/>
			<xsl:call-template name="trf0" />
		</table>
	</xsl:template>
	<xsl:template match="//pregunta/nota">
		<tr>
			<xsl:call-template name="tdi2" />
			<td class="pregunta_nota">
				<xsl:value-of select="."/>
			</td>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="//pregunta/titulo">
		<tr>
			<xsl:call-template name="tdi2" />
			<td class="pregunta_titulo">
				<xsl:value-of select="."/>
			</td>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="//pregunta/linea">
		<tr>
			<xsl:call-template name="tdi2" />
			<td class="pregunta_linea">
				<table width="100%" cellspacing="0" cellpadding="0">
					<xsl:call-template name="tri0" />
					<tr>
						<xsl:call-template name="tdi0" />
						<td>
							<xsl:apply-templates select="./*"/>
						</td>
						<xsl:call-template name="tdf0" />
					</tr>
					<xsl:call-template name="trf0" />
				</table>
			</td>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="datotexto">
		<xsl:call-template name="namedatotexto">
			<xsl:with-param name="nodo" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="datotextolargo">
		<xsl:call-template name="namedatotexto">
			<xsl:with-param name="nodo" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	
	<xsl:template name="namedatotexto">
		<xsl:param name="nodo" select="."/>
		<xsl:if test="$nodo/titulo">
			<span class="datotexto_titulo">
				<xsl:value-of select="$nodo/titulo"/>
			</span>
		</xsl:if>
		<span>
				<xsl:element name="input">
					<xsl:attribute name="type">
						<xsl:text>text</xsl:text>
					</xsl:attribute>
					<xsl:attribute name="class">datotexto_input</xsl:attribute>
					<xsl:attribute name="name">
						<xsl:value-of select="$nodo/@campo"/>
					</xsl:attribute>
					<xsl:attribute name="alt">
						<xsl:value-of select="$nodo/@campo"/>
					</xsl:attribute>
					<xsl:attribute name="size">
						<xsl:value-of select="$nodo/@size"/>
					</xsl:attribute>
					<xsl:attribute name="maxlength">
						<xsl:value-of select="$nodo/@maxlength"/>
					</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:value-of select="normalize-space(/encuesta/datos/*[name() = $nodo/@campo])"/>
					</xsl:attribute>
					<xsl:attribute name="vinculodestino">
						<xsl:value-of select="$nodo/@vinculo"/>
					</xsl:attribute>
					<xsl:if test="count($nodo/@formato) = 1">
						<xsl:attribute name="onblur">
							<xsl:value-of select="$nodo/@formato"/>
							(this)
						</xsl:attribute>
					</xsl:if>
				</xsl:element>
		</span>
		<xsl:if test="$nodo/comentario">
			<span class="datotexto_comentario">
				<xsl:value-of select="$nodo/comentario"/>
			</span>
		</xsl:if>
	</xsl:template>
	<xsl:template name="namedatotextofilas">
		<xsl:param name="nodo" select="."/>
		<xsl:param name="imagen"/>
		<table class="namedatotextofilas" cellspacing="0"  cellpadding="0">
			<tr>
				<td class="datotexto_filas_titulo">
					<span>
						<xsl:value-of select="$nodo/titulo"/>
					</span>
				</td>
			</tr>
			<tr>
				<xsl:element name="td">
					<xsl:element name="img">
						<xsl:attribute name="src">
							imagenes/
							<xsl:value-of select="$imagen"/>
							.gif
						</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="class">ordena1a5_imagen</xsl:attribute>
						<xsl:attribute name="alt">imagen fondo</xsl:attribute>
					</xsl:element>					
					<span>
						<xsl:element name="input">
							<xsl:attribute name="type">
								<xsl:text>text</xsl:text>
							</xsl:attribute>
							<xsl:attribute name="class">datotexto_filas_input</xsl:attribute>
							<xsl:attribute name="name">
								<xsl:value-of select="$nodo/@campo"/>
							</xsl:attribute>
							<xsl:attribute name="alt">
								<xsl:value-of select="$nodo/@campo"/>
							</xsl:attribute>
							<xsl:attribute name="size">
								<xsl:value-of select="$nodo/@size"/>
							</xsl:attribute>
							<xsl:attribute name="maxlength">
								<xsl:value-of select="$nodo/@maxlength"/>
							</xsl:attribute>
							<xsl:attribute name="value">
								<xsl:value-of select="normalize-space(/encuesta/datos/*[name() = $nodo/@campo])"/>
							</xsl:attribute>
							<xsl:attribute name="vinculodestino">
								<xsl:value-of select="$nodo/@vinculo"/>
							</xsl:attribute>
							<xsl:if test="count($nodo/@formato) = 1">
								<xsl:attribute name="onblur">
									<xsl:value-of select="$nodo/@formato"/>
									(this)
								</xsl:attribute>
							</xsl:if>
						</xsl:element>
					</span>
				</xsl:element>
			</tr>
			<tr>
				<td class="datotexto_filas_comentario">
					<span>
						<xsl:value-of select="$nodo/comentario"/>
					</span>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="datoradio">
		<tr>
			<xsl:call-template name="tdi2" />
			<td>
				<table style="width: 100%" cellspacing="0"  cellpadding="0">
					<tr>
						<xsl:call-template name="tdi0" />
						<td class="pregunta_datoradio">
							<xsl:apply-templates select="./*"/>
						</td>
						<xsl:call-template name="tdf0" />
					</tr>
				</table>
			</td>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="opcion">
			<xsl:element name="input">
				<xsl:attribute name="type">checkbox</xsl:attribute>
				<xsl:attribute name="class">checkbox</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:value-of select="../@campo"/>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:value-of select="../@campo"/>
				</xsl:attribute>
				<xsl:attribute name="vinculoorigen">
					<xsl:value-of select="@activavinculo"/>
				</xsl:attribute>
				<xsl:attribute name="vinculodestino">
					<xsl:value-of select="../@vinculo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="@valor"/>
				</xsl:attribute>
				<xsl:attribute name="onmousedown">hazclickradio(this)</xsl:attribute>
				<xsl:if test="normalize-space(/encuesta/datos/*[name()= current()/../@campo]) = @valor">
					<xsl:attribute name="checked"/>
				</xsl:if>
			</xsl:element>
			<xsl:apply-templates select="./*"/>
	</xsl:template>
	<xsl:template match="datocheck">
		<tr>
			<xsl:call-template name="tdi2" />
			<td>
				<table class="pregunta_datocheck" cellspacing="0" cellpadding="0" style="width: 100%; border: none;">
					<xsl:apply-templates select="./*"/>
				</table>
			</td>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="opcioncheck">
		<tr>
			<xsl:call-template name="tdi2" />
			<xsl:if test="../@tituloantes='si'">
				<td class="opcioncheck_titulo_antes">
					<xsl:apply-templates select="./*"/>
				</td>
			</xsl:if>
			<xsl:element name="td">
		    	<xsl:attribute name="class">
		    		<xsl:text>opcioncheck_input</xsl:text>
			    	<xsl:if test="../@clase">
			    			<xsl:value-of select="../@clase" />
			    	</xsl:if>
		    	</xsl:attribute>
				<xsl:element name="input">
					<xsl:attribute name="type">checkbox</xsl:attribute>
					<xsl:attribute name="class">checkbox</xsl:attribute>
					<xsl:attribute name="name">
						<xsl:value-of select="@campo"/>
					</xsl:attribute>
					<xsl:attribute name="alt">
						<xsl:value-of select="@campo"/>
					</xsl:attribute>
					<xsl:attribute name="vinculoorigen">
						<xsl:value-of select="@activavinculo"/>
					</xsl:attribute>
					<xsl:attribute name="vinculodestino">
						<xsl:value-of select="@vinculo"/>
					</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="@valor">
								<xsl:value-of select="@valor"/>
							</xsl:when>
							<xsl:otherwise>X</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:if test="normalize-space(/encuesta/datos/*[name() = current()/@campo]) = 'X'">
						<xsl:attribute name="checked"/>
					</xsl:if>
					<xsl:attribute name="onmousedown">hazclickcheckbox(this)</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<xsl:if test="not(../@tituloantes) or ../@tituloantes!='si'">
				<td class="opcioncheck_titulo_despues">
					<xsl:apply-templates select="./*"/>
				</td>
			</xsl:if>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="preguntaayuda">
		<table class="tablacontenedora" style="width: 100%"  cellspacing="0" cellpadding="0">
			<xsl:call-template name="tri0" />
			<tr>
				<td class="preguntaayuda_titulo">
					<xsl:value-of select="./pregunta/titulo"/>
				</td>
			</tr>
			<tr>
				<td>
					<table class="preguntaayuda" style="width: 100%"  cellspacing="0"  cellpadding="0">
						<tr>
							<xsl:call-template name="tdi0" />
							<td valign="top" style="width:{@anchopreguntas}">
								<xsl:apply-templates select="./pregunta"/>
							</td>
							<xsl:choose>
								<xsl:when test="@anchomitad">
									<td style="width:{@anchomitad}"/>
								</xsl:when>
								<xsl:otherwise>
									<td style="width:1px"/>
								</xsl:otherwise>
							</xsl:choose>
							<td style="width:{@anchoayuda}">
								<p class="preguntaayuda_ayuda">
									<xsl:apply-templates select="./ayuda"/>
								</p>
							</td>
							<xsl:call-template name="tdf0" />
						</tr>
					</table>
				</td>
			</tr>
			<xsl:call-template name="trf0" />
		</table>
	</xsl:template>
	<xsl:template match="//preguntaayuda/pregunta">
		<table class="preguntaayuda_pregunta" style="width: 100%"  cellspacing="0"  cellpadding="0">
			<xsl:apply-templates select="./*"/>
		</table>
	</xsl:template>
	<xsl:template match="//preguntaayuda/pregunta/titulo"/>
	<xsl:template match="//preguntaayuda/ayuda">
		<xsl:apply-templates select="./*"/>
	</xsl:template>
	<xsl:template match="//ayuda/titulo">
		<xsl:if test="position() = 1">
			<xsl:choose>
				<xsl:when test="count( ../@imagen ) = 1">
					<xsl:choose>
						<xsl:when test="../@imagen = ''"/>
						<xsl:otherwise>
							<xsl:element name="img">
								<xsl:attribute name="src">
									<xsl:value-of select="../@imagen"/>
								</xsl:attribute>
								<xsl:attribute name="border">0</xsl:attribute>
								<xsl:attribute name="class">preguntaayuda_ayuda_imagen</xsl:attribute>
								<xsl:attribute name="alt">Imagen ayuda</xsl:attribute>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<img SRC="imagenes/ayuda.gif" border="0" alt="imagen ayuda" class="preguntaayuda_ayuda_imagen"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<span class="preguntaayuda_ayuda_titulo">
			<xsl:value-of select="."/>
		</span>
		<xsl:text/>
	</xsl:template>
	<xsl:template match="//ayuda/descripcion">
		<span class="preguntaayuda_ayuda_descripcion">
			<xsl:text/>
			<xsl:value-of select="."/>
		</span>
		<br/>
	</xsl:template>
	<xsl:template match="//ayuda/pregunta">
		<table class="preguntaayuda_ayuda_pregunta"  cellspacing="0"  cellpadding="0" style="margin: 0px; width: 100%">
			<xsl:apply-templates select="./*"/>
		</table>
	</xsl:template>
	
	<xsl:template match="preguntatabla">
		<table class="tablacontenedora" style="width: 100%"  cellspacing="0"  cellpadding="0">
			<xsl:call-template name="tri0" />
			<tr>
				<xsl:call-template name="tdi0" />
				<td class="preguntatabla_titulo">
					<xsl:value-of select="./titulo"/>
				</td>
				<xsl:call-template name="tdf0" />
			</tr>
			<tr>
				<xsl:call-template name="tdi0" />
				<td>
					<table style="width: 100%" cellspacing="0"  cellpadding="0">
						<xsl:apply-templates select="./*"/>
					</table>
				</td>
				<xsl:call-template name="tdf0" />
			</tr>
			<xsl:call-template name="trf0" />
		</table>
	</xsl:template>

	<xsl:template match="//preguntatabla/titulo" />

	<xsl:template match="//preguntatabla/cabecera">
			<xsl:call-template name="tri0" />
			<tr>
				<xsl:call-template name="tdi2" />
				<xsl:apply-templates select="./*"/>
				<xsl:call-template name="tdf2" />
			</tr>
	</xsl:template>

	<xsl:template match="//preguntatabla/cabecera/titulo">
		<xsl:element name="td">
			<xsl:attribute name="class">
				<xsl:text>preguntatabla_cabecera_titulo</xsl:text>
		    	<xsl:if test="../@clase">
		    			<xsl:value-of select="../@clase" />
		    	</xsl:if>
		    	<xsl:if test="@clase">
		    			<xsl:value-of select="@clase" />
		    	</xsl:if>
		    </xsl:attribute>
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>


	<xsl:template match="//linea/titulo">
			<td class="linea_titulo">
				<xsl:value-of select="."/>
			</td>
	</xsl:template>


	<xsl:template match="//preguntatabla/linea">
		<xsl:if test="@altoinicio">
			<xsl:call-template name="tri0" />			
		</xsl:if>
		<tr>
			<xsl:call-template name="tdi2" />
			<xsl:apply-templates select="./titulo"/>
			<xsl:for-each select="./datotexto">
				<xsl:element name="td">					
					<xsl:if test="position() = last()">
						<xsl:attribute name="colspan">
							<xsl:value-of select="1 + count(current()/../../linea[1]/datotexto) - count(current()/../datotexto)"/>
						</xsl:attribute>
					</xsl:if>
					<table class="tablalinea" style="width: 100%"  cellspacing="0"  cellpadding="0">
						<tr>
							<xsl:element name="td">					
						    	<xsl:attribute name="class">
						    		<xsl:text>datotexto</xsl:text>
							    	<xsl:if test="../@clase">
							    			<xsl:value-of select="../@clase" />
							    	</xsl:if>
						    	</xsl:attribute>												
								<xsl:apply-templates select="."/>
							</xsl:element>
						</tr>
					</table>
				</xsl:element>
			</xsl:for-each>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>


	<xsl:template match="//preguntatabla/datocheck/opcioncheck/titulo" />
	
	<xsl:template name="preguntatablacolumna">
	    	<xsl:attribute name="class">
	    		<xsl:choose>
	    			<xsl:when test="../../cabecera">
	    				<xsl:text>preguntatabla_columna_sintexto</xsl:text>
	    			</xsl:when>
	    			<xsl:otherwise>
	    				<xsl:text>preguntatabla_columna</xsl:text>
	    			</xsl:otherwise>
	    		</xsl:choose>			    		
		    	<xsl:if test="../@clase">
		    			<xsl:value-of select="../@clase" />
		    	</xsl:if>
	    	</xsl:attribute>												
			<table class="tablacontenedora" style="width: 100%"  cellspacing="0"  cellpadding="0">
				<tr>
					<xsl:element name="td">					
				    	<xsl:attribute name="class">
				    		<xsl:text>columna_checkbox</xsl:text>
					    	<xsl:if test="../@clase">
					    			<xsl:value-of select="../@clase" />
					    	</xsl:if>
				    	</xsl:attribute>												
						<xsl:apply-templates select="."/>
					</xsl:element>
				</tr>
			</table>
	</xsl:template>

	<xsl:template match="//preguntatabla/datocheck">
		<xsl:if test="@altoinicio">
			<xsl:call-template name="tri0" />			
		</xsl:if>
		<tr>
			<xsl:call-template name="tdi2" />
			<xsl:for-each select="./opcioncheck">
				<xsl:if test="./titulo and ../../cabecera">
					<td class="preguntatabla_fila_titulo">
						<xsl:value-of select="./titulo"/>
					</td>
				</xsl:if>
				<xsl:element name="td">								
					<xsl:if test="position() = last()">
						<xsl:attribute name="colspan">
							<xsl:value-of select="1 + count(current()/../../datocheck[1]/opcioncheck) - count(current()/../opcioncheck)"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:call-template name="preguntatablacolumna" />
				</xsl:element>
			</xsl:for-each>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>

	<xsl:template match="//preguntatabla/datoradio">
		<xsl:if test="@altoinicio">
			<xsl:call-template name="tri0" />			
		</xsl:if>
		<tr>
			<xsl:call-template name="tdi2" />
			<td class="preguntatabla_fila_titulo">
				<xsl:value-of select="./titulo"/>
			</td>
			<xsl:for-each select="./opcion">
				<xsl:element name="td">								
					<xsl:if test="position() = last()">
						<xsl:attribute name="colspan">
							<xsl:value-of select="1 + count(current()/../../datoradio[1]/opcion) - count(current()/../opcion)"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:call-template name="preguntatablacolumna" />
				</xsl:element>
			</xsl:for-each>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>




	<xsl:template match="//opcion/titulo">
		<xsl:choose>
			<xsl:when test="../../../cabecera" />
			<xsl:otherwise>
				<span  class="opcion_titulo">
					<xsl:value-of select="."/>
				</span>	
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	

	<xsl:template match="//opcioncheck/titulo">
		<xsl:choose>
			<xsl:when test="../../../cabecera" />
			<xsl:otherwise>
				<!-- class="opcioncheck_titulo_despues"-->
				<span>
					<xsl:value-of select="."/>
				</span>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	

	<xsl:template match="//preguntatabla/datocheck/opcioncheck">
		<xsl:element name="input">
			<xsl:attribute name="type">checkbox</xsl:attribute>
			<xsl:attribute name="class">checkbox</xsl:attribute>
			<xsl:attribute name="name">
				<xsl:value-of select="@campo"/>
			</xsl:attribute>
			<xsl:attribute name="alt">
				<xsl:value-of select="@campo"/>
			</xsl:attribute>
			<xsl:attribute name="vinculoorigen">
				<xsl:value-of select="@activavinculo"/>
			</xsl:attribute>
			<xsl:attribute name="vinculodestino">
				<xsl:value-of select="@vinculo"/>
			</xsl:attribute>
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="@valor">
						<xsl:value-of select="@valor"/>
					</xsl:when>
					<xsl:otherwise>X</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="normalize-space(/encuesta/datos/*[name() = current()/@campo]) = 'X'">
				<xsl:attribute name="checked"/>
			</xsl:if>
			<xsl:attribute name="onmousedown">hazclickcheckbox(this)</xsl:attribute>
		</xsl:element>
		<xsl:apply-templates select="./*"/>
	</xsl:template>

	<xsl:template match="//preguntatabla/datoradios">
		<xsl:if test="@altoinicio">
			<xsl:call-template name="tri0" />			
		</xsl:if>
		<tr>
			<td>
				<table class="preguntatabla_datoradio" style="width: 100%"  cellspacing="0" cellpadding="0">
					<xsl:element name="tr">
						<xsl:attribute name="style">border: none;</xsl:attribute>
						<xsl:call-template name="tdi2" />
						<xsl:apply-templates select="./*"/>
						<xsl:call-template name="tdf2" />
					</xsl:element>
				</table>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="//preguntatabla/datoradio/titulo">
		<xsl:element name="td">
			<xsl:attribute name="class">preguntatabla_datoradio_titulo</xsl:attribute>
			<xsl:value-of select="."/>
			<xsl:if test="../datotexto">
				<xsl:text/>
				<xsl:call-template name="namedatotexto">
					<xsl:with-param name="nodo" select="../datotexto"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:element>
	</xsl:template>

	<xsl:template match="//preguntatabla/datoradio/opcion">
		<xsl:element name="td">
			<xsl:attribute name="class">
				<xsl:text>preguntatabla_datoradio_opcion</xsl:text>
		    	<xsl:if test="../@clase">
		    			<xsl:value-of select="../@clase" />
		    	</xsl:if>			
			</xsl:attribute>
			<xsl:attribute name="nowrap">nowrap</xsl:attribute>
			<xsl:element name="input">
				<xsl:attribute name="type">checkbox</xsl:attribute>
				<xsl:attribute name="class">checkbox</xsl:attribute>
				<xsl:attribute name="onmousedown">hazclickradio(this)</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:value-of select="../@campo"/>
				</xsl:attribute>
				<xsl:attribute name="alt">
					<xsl:value-of select="../@campo"/>
				</xsl:attribute>
				<xsl:attribute name="value">
					<xsl:value-of select="@valor"/>
				</xsl:attribute>
				<xsl:if test="normalize-space(/encuesta/datos/*[name() = current()/../@campo]) = @valor">
					<xsl:attribute name="checked"/>
				</xsl:if>
				<xsl:attribute name="vinculodestino">
					<xsl:value-of select="@vinculo"/>
				</xsl:attribute>
				<xsl:attribute name="vinculoorigen">
					<xsl:value-of select="../@activavinculo"/>
				</xsl:attribute>
			</xsl:element>
			<span class="opcion_titulo">
				<xsl:apply-templates select="./*"/>
			</span>
		</xsl:element>
	</xsl:template>


	<xsl:template match="ordenade1a5">
		<table class="tablacontenedora" width="100%"  cellspacing="0" cellpadding="0">
			<xsl:call-template name="tri0" />
			<xsl:apply-templates select="./titulo"/>
			<tr>
				<xsl:call-template name="tdi2" />
				<xsl:apply-templates select="./datotexto"/>
				<xsl:call-template name="tdf2" />
			</tr>
			<xsl:apply-templates select="./nota"/>
			<xsl:call-template name="trf0" />
		</table>
	</xsl:template>
	<xsl:template match="//ordenade1a5/titulo">
		<tr>
			<xsl:call-template name="tdi2" />
			<xsl:element name="td">
				<xsl:attribute name="class">preguntatabla_titulo</xsl:attribute>
				<xsl:attribute name="colspan">5</xsl:attribute>
				<xsl:value-of select="."/>
			</xsl:element>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="//ordenade1a5/nota">
		<tr>
			<xsl:call-template name="tdi2" />
			<xsl:element name="td">
				<xsl:attribute name="class">pregunta_nota</xsl:attribute>
				<xsl:attribute name="colspan">5</xsl:attribute>
				<xsl:value-of select="."/>
			</xsl:element>
			<xsl:call-template name="tdf2" />
		</tr>
	</xsl:template>
	<xsl:template match="//ordenade1a5/datotexto">
		<xsl:element name="td">
			<xsl:call-template name="namedatotextofilas">
				<xsl:with-param name="nodo" select="."/>
				<xsl:with-param name="imagen">
					ordena1a5_
					<xsl:value-of select="position()"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>

	<xsl:template match="documentacion"/>

	<xsl:template match="datos"/>

</xsl:stylesheet>
